## org.eclipse.datatools.modelbase.sql.constraints
Interface ReferenceConstraint

All Superinterfaces:
  Constraint, SQLObject, TableConstraint

All Known Subinterfaces:
  ForeignKey, PrimaryKey, UniqueConstraint

All Known Implementing Classes:
  ForeignKeyImpl, PrimaryKeyImpl, ReferenceConstraintImpl, UniqueConstraintImpl

public interface ReferenceConstraint
extends TableConstraint

A representation of the model object 'Reference Constraint'. 4.17.2 Table constraints A table constraint is either a unique constraint, a referential constraint or a table check constraint. A table constraint is described by a table constraint descriptor which is either a unique constraint descriptor, a referential constraint descriptor or a table check constraint descriptor. A referential constraint is described by a referential constraint descriptor. In addition to the components of every table constraint descriptor, a referential constraint descriptor includes: - A list of the names of the referencing columns specified in the <referencing columns> . - The referenced table specified in the <referenced table and columns> . - A list of the names of the referenced columns specified in the <referenced table and columns> . - The value of the <match type> , if specified, and the <referential triggered actions> , if specified. NOTE 30: If MATCH FULL or MATCH PARTIAL is specified for a referential constraint and if the referencing table has only one column specified in <referential constraint definition> for that referential constraint, or if the referencing table has more than one specified column for that <referential constraint definition> , but none of those columns is nullable, then the effect is the same as if no <match type> were specified. The ordering of the lists of referencing column names and referenced column names is implementation-defined, but shall be such that corresponding column names occupy corresponding positions in each list.

The following features are supported:

- `Members`

See Also:
  `SQLConstraintsPackage.getReferenceConstraint()`

Method Summary
`EList` `getMembers()` Returns the value of the 'Members' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMembers

    public EList getMembers()

  Returns the value of the 'Members' reference list. The list contents are of type `Column`.

  If the meaning of the 'Members' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Members' reference list.
  See Also:
    `SQLConstraintsPackage.getReferenceConstraint_Members()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.